BizKitHub
DocsAPI ReferenceLedger/bff/ledger/closing/close-books
postLedgerAdmin BFF

/bff/ledger/closing/close-books

Post the closing entry and close the period

LedgerpostBffLedgerClosingClose-books

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
periodIdstringRequired

Fiscal period external id.

Length: 16–24
rowVersionnumberRequired

Response schema

1 status code documented

200Success
successbooleanRequired
entryIdstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
entryNostring | nullRequired
One of 2:
Variant 1
string
Variant 2
null

Response example

application/json
{
  "success": false
}

Request example

POST /bff/ledger/closing/close-books

post
curl -X POST "https://api.bizkithub.com/bff/ledger/closing/close-books" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "periodId": "example_periodId",
  "rowVersion": 0
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key